use crate::{
    executors::ExecutorError,
    topology::{Firewall, FirewallRule, IpAddress, LogicalHost},
};

use super::OPNSenseFirewall;

impl Firewall for OPNSenseFirewall {
    fn add_rule(&mut self, _rule: FirewallRule) -> Result<(), ExecutorError> {
        todo!()
    }

    fn remove_rule(&mut self, _rule_id: &str) -> Result<(), ExecutorError> {
        todo!()
    }

    fn list_rules(&self) -> Vec<FirewallRule> {
        todo!()
    }

    fn get_ip(&self) -> IpAddress {
        OPNSenseFirewall::get_ip(self)
    }
    fn get_host(&self) -> LogicalHost {
        self.host.clone()
    }
}
